DEBIAN 10: Que paquets extres són útils per a després d'instal·lar?

DEBIAN 10: Que paquets extres són útils per a després d'instal·lar?

DEBIAN 10: Què paquets extres són útils per a després d'instal·lar?

Aquest article és la continuació (Segona part) Dels tutorials dedicats a la Distro DEBIAN GNU / Linux, versió 10 (Buster), La qual serveix de base de moltes altres com MX-Linux 19 (Patito lleig).

Aquesta segona part mostrarem que altres paquets (aplicacions) extres o addicionals són els recomanats per seguir optimitzant (complementar) les nostres belles i grandioses Distros DEBIAN 10 i MX-Linux 19.

Actualitzar i optimitzar MX-Linux 19.0 i DEBIAN 10.2 després d'instal·lar

Actualitzar i optimitzar MX-Linux 19.0 i DEBIAN 10.2 després d'instal·lar

Ja que, la primera part d'aquesta sèrie de tutorials, anomenada "Actualitzar i optimitzar MX-Linux 19.0 i DEBIAN 10.2 després d'instal·lar" va estar enfocada a les accions i paquets bàsics essencials necessaris per a una primera actualització, personalització i optimització de les mateixes, és a dir, els primers passos post-instal·lació un cop instal·lades.

I citant l'article anterior, recordi el següent:

"Recordeu que les accions i els paquets aquí recomanats per executar i instal·lar són només això, "paquets recomanats", i quedá de cada un, el executar-los i instal·lar-los tots o alguns d'ells, per què li són necessaris o útils, a curt o mitjà termini, per conèixer-los i usuarlos, A l'tenir-los ja executats o instal·lats.

I tinguin present que, aquestes accions i / o paquets van ser prèviament provats en ambdues Distros, I no sol·liciten desinstal·lar paquets instal·lats per defecte en aquestes. A més, no incrementen el consum de memòria ni CPU ja que, no carreguen processos o dimonis (serveis) en memòria per defecte. Per conèixer prèviament perquè es fa servir cada paquet, feu clic aquí."

Debian 10 Buster

DEBIAN 10: Paquets extres útils per a instal·lar

Aplicacions de Jocs nadius

apt install games-adventure games-arcade games-board games-card games-chess games-console games-education games-emulator games-fps games-java-dev games-mud games-platform games-programming games-puzzle games-racing games-rogue games-rpg games-shootemup games-simulation games-sport games-strategy games-tasks games-toys games-typing

Objectiu: Instal·lar paquets de jocs específics per categories definides

apt install atari800 cen64 cen64-qt desmume dolphin-emu dosbox fs-uae fs-uae-arcade fs-uae-launcher fs-uae-netplay-server games-emulator gbsplay gngb gnome-nds-thumbnailer hatari higan mame mame-data mame-extra mame-tools mednafen mednaffe mess-desktop-entries mgba-common mgba-qt mgba-sdl mupen64plus-audio-all mupen64plus-data mupen64plus-input-all mupen64plus-qt mupen64plus-rsp-all mupen64plus-rsp-hle mupen64plus-rsp-z64 mupen64plus-ui-console mupen64plus-video-all mupen64plus-video-arachnoid mupen64plus-video-glide64 mupen64plus-video-glide64mk2 mupen64plus-video-rice mupen64plus-video-z64 nestopia osmose-emulator pcsxr stella vice virtualjaguar visualboyadvance xmms2-plugin-gme yabause yabause-common yabause-gtk yabause-qt yakuake

Objectiu: Instal·lar emuladors de consoles retro.

Suport per a vídeo

apt install xserver-xorg-video-all libva-drm2 libva-glx2 libva-wayland2 libva-x11-2 libva2

Objectiu: Instal·lar el suport bàsic de controladors de vídeos, generalment integrats.

Suport per a àudio

apt install alsa-firmware-loaders alsa-oss alsa-tools alsa-utils alsamixergui volumeicon-alsa paprefs pavumeter pulseaudio-utils ffmpeg2theora sound-icons

apt install lame libdvdnav4 libdvdread4 libfaac0 libmad0 libmp3lame0 libquicktime2 libstdc++5 libxvidcore4 twolame vorbis-tools x264

apt install gstreamer1.0-x gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly gstreamer1.0-alsa gstreamer1.0-pulseaudio gstreamer1.0-tools

Objectiu: Instal·lar el suport bàsic de controladors d'àudio, generalment integrats. I altres aplicacions, complements i llibreries necessàries per al maneig d'àudio i so dels ordinadors.

Suport per a dispositius d'impressió i escaneig

apt install cups cups-client cups-bsd cups-filters cups-pdf cups-ppdc

apt install foomatic-db-compressed-ppds foomatic-db-engine ghostscript-x ghostscript-cups gocr-tk gutenprint-locales hannah-foo2zjs hpijs-ppds hplip openprinting-ppds printer-driver-all printer-driver-cups-pdf printer-driver-foo2zjs printer-driver-hpcups printer-driver-hpijs

apt install avahi-utils colord flex g++ libtool python-dev sane sane-utils system-config-printer system-config-printer-udev unpaper xsane xsltproc zlibc

Objectiu: Instal·lar el suport bàsic de controladors, aplicacions, complements i llibreries necessàries per al maneig de dispositius d'impressió i escaneig.

Suport per a aplicacions ofimàtiques

apt install fonts-arabeyes fonts-cantarell fonts-freefarsi fonts-liberation fonts-lyx fonts-mathjax fonts-oflb-asana-math fonts-opensymbol fonts-sil-gentium fonts-stix myspell-es ooo-thumbnailer xfonts-intl-arabic xfonts-intl-asian xfonts-intl-chinese xfonts-intl-chinese-big xfonts-intl-european xfonts-intl-japanese xfonts-intl-japanese-big ttf-bitstream-vera ttf-dejavu ttf-summersby

apt install libreoffice libreoffice-base libreoffice-gnome libreoffice-gtk3 libreoffice-help-es libreoffice-java-common libreoffice-l10n-es libreoffice-ogltrans libreoffice-pdfimport libreoffice-report-builder-bin libreoffice-style-breeze libreoffice-style-elementary libreoffice-style-sifr

apt install pdfarranger pdfshuffler pdftk

Objectiu: Instal·lar el suport bàsic de fonts, complements i aplicacions ofimàtiques.

Suport per compatibilitat amb HW i SW de Windows

apt install cifs-utils disk-manager dosfstools exfat-fuse exfat-utils fuse gvfs-fuse hfsplus hfsutils icoutils ideviceinstaller ipheth-utils libsmbclient mtools mtp-tools ntfs-3g python-smbc smbclient samba-common smbnetfs samba samba-common-bin

apt install cabextract fonts-wine mscompress playonlinux q4wine ttf-mscorefonts-installer winetricks

apt install ndiswrapper

Objectiu: Instal·lar el suport bàsic per a la compatibilitat amb el HW i el SW d'altres Sistemes Operatius, principalment de MS Windows.

Suport per HW d'Ordinadors

apt install acpi acpitool acpi-support fancontrol firmware-linux-free hardinfo hwdata hwinfo irqbalance iucode-tool laptop-detect lm-sensors lshw lsscsi smartmontools xsensors

Objectiu: Instal·lar el suport bàsic per a la compatibilitat amb el HW genèric d'ordinadors.

apt install intel-microcode

apt install amd64-microcode

Objectiu: Instal·lar el suport bàsic del conjunt d'instruccions de CPU per a la compatibilitat amb processadors Intel i AMD.

sensors-detect
chmod u+s /usr/sbin/hddtemp
hddtemp /dev/sda

Objectiu: Instal·lar el suport bàsic d'eines i controladors per a la gestió de les temperatures, voltatge dels elements de l'ordinador, incloent-hi la gestió dels ventiladors.

Suport per dispositius de connexió sense fils

apt install wifi-radar wireless-tools wpagui wpasupplicant

Objectiu: Instal·lar el suport bàsic d'aplicacions per a la gestió de dispositius de connexió sense fils d'un ordinador.

apt install firmware-atheros

apt install firmware-b43-installer firmware-b43legacy-installer firmware-bnx2 firmware-bnx2x firmware-brcm80211

apt install firmware-intelwimax firmware-iwlwifi

apt install firmware-ralink firmware-realtek

Objectiu: Instal·lar el suport bàsic de controladors per a la gestió de dispositius de connexió sense fils (WiFi) d'un ordinador.

Suport per dispositius de connexió bluetooth

apt install bluetooth bluez bluez-cups bluez-firmware bluez-tools btscanner gnome-bluetooth python-bluez pulseaudio-module-bluetooth

Objectiu: Instal·lar el suport bàsic de controladors per a la gestió de dispositius de connexió sense fils (bluetooth) d'un ordinador.

Suport per dispositius de connexió USB a internet

apt install mobile-broadband-provider-info ppp pppconfig modemmanager modem-manager-gui modem-manager-gui-help usb-modeswitch usb-modeswitch-data wvdial

Objectiu: Instal·lar el suport bàsic d'aplicacions i controladors per a la gestió de dispositius de connexió USB a Internet connectats a un ordinador.

Suport per a dispositius multimèdia mòbils

apt install gammu gtkpod libgammu-i18n libgpod-common libgpod-cil libgpod4 libmtp-runtime mtp-tools wammu

Objectiu: Instal·lar el suport bàsic d'aplicacions i llibreries per a la gestió de dispositius multimèdia connectats a un ordinador.

Debian 10

Conclusió

esperem que aquesta "petita i útil publicació" sobre que aplicacions extres es poden instal·lar sobre Distros GNU / Linux «DEBIAN y MX-Linux», En les seves versions més recents i vigents per a l'any 2020, per aconseguir «actualizarlas y optimizarlas», Sigui de molt interès i utilitat, per a tota la «Comunidad de Software Libre y Código Abierto» i de gran contribució a la difusió de l'meravellós, gegantí i creixent ecosistema d'aplicacions de i per a «GNU/Linux».

I per a més informació, no dubtis sempre en visitar qualsevol Biblioteca en línia com a OpenLibra y jEdit per llegir llibres (PDFs) sobre aquest tema o altres àrees de coneixement. Per ara, si t'ha agradat aquesta «publicación», no deixis de compartir-la amb d'altres, en els teus llocs web, canals, grups o comunitats favorites de xarxes socials, preferiblement lliures i obertes com Mastodon, O segures i privades com telegram.

O simplement, visita la nostra pàgina d'inici en Des de Linux o uneix-te a Canal oficial de Telegram de Des de Linux per llegir i votar per aquesta o altres interessants publicacions sobre «Software Libre», «Código Abierto», «GNU/Linux» i altres temes relacionats amb la «Informática y la Computación», I la «Actualidad tecnológica».


El contingut d'l'article s'adhereix als nostres principis de ètica editorial. Per notificar un error punxa aquí.

10 comentaris, deixa el teu

Deixa el teu comentari

La seva adreça de correu electrònic no es publicarà.

*

*

  1. Responsable de les dades: Miguel Ángel Gatón
  2. Finalitat de les dades: Controlar l'SPAM, gestió de comentaris.
  3. Legitimació: El teu consentiment
  4. Comunicació de les dades: No es comunicaran les dades a tercers excepte per obligació legal.
  5. Emmagatzematge de les dades: Base de dades allotjada en Occentus Networks (UE)
  6. Drets: En qualsevol moment pots limitar, recuperar i esborrar la teva informació.

  1.   Alberto Guerra va dir

    Molt útil ha estat per a mi el pdftk per concatenar diversos arxius PDF en un únic document per mitjà de la línia d'ordres.
    Exemple:
    pdftk archivo_0001.pdf archivo_0002.pdf archivo_0003.pdf cat output archivo_123.pdf

    1.    Linux Post Install va dir

      Gràcies, Albert. Per la teva aportació. El vaig incloure a la secció de Suport per a aplicacions ofimàtiques de l'article, ja que em vaig adonar que no vaig posar aplicacions (paquets) per a la gestió avançada d'arxius PDF.

      Inseriu està línia: apt install pdfarranger pdfshuffler pdftk

      Els altres 2 són per el mateix però des de la interfície gràfica (GUI) d'usuari.

  2.   Fran va dir

    Gràcies és una aportació molt important per a molts que recentment ens volem iniciar en el món Debian

    1.    Linux Post Install va dir

      Salutacions, Fran! Gràcies pel teu positiu comentari sobre l'article.

  3.   RubenMTL va dir

    Hola !. Moltes gràcies per aquest post, em va ser de molta utilitat ja que recentment em vaig passar a Debian 10, plasma KDE. Vaig instal·lar la gran majoria sense problemes. encara que ara et detallo els problemes que vaig tenir amb alguns que no es van instal·lar.
    Amb el paquet alsa-firmware-loaders em va sortir:

    E: No s'ha pogut localicar el paquet alsa-firmware-loaders

    I el mateix em va passar amb aquests altres paquets: libfaac0, amd64-microcode, firmware-Atheros, firmware-B43-installer, firmware-b43legacy-installer, firmware-bnx2, firmware-bnx2x, firmware-brcm80211, firmware-intelwimax, firmware- iwlwifi, firmware-RALINK, firmware-RealTek, bluez-firmware.

    1.    Linux Post Install va dir

      Salutacions RubenMTL! Gràcies pel teu comentari i observació. Tractaré d'instal·lar molt aviat un DEBIAN 10.3 per provar novament cada paquet i validar novament cada paquet existent actualment.

      1.    RubenMTL va dir

        De res !. Boníssim !!. Gràcies a vós pel teu temps, salutacions. !!

  4.   RubenMTL va dir

    Un altre dels cartells que em va sortir va ser amb el paquet Hannah-foo2zjs:

    El paquet Hannah-foo2zjs no està disponible, però algun altre paquet fa referència a ell. Això pot significar que el paquet falta, està obsolet o només es troba disponible des de quelcom diferent.

    E: El paquet hannah-foo2zjs no té candidat per a la instal·lació.

    Això em surt també amb els paquets: ttf-mscorefonts-installer, winetricks, PlayOnLinux, iucode-tool

    Per acabar, quan vaig voler reiniciar des de la terminal, es em va titllar i vaig haver de apagar la Llibreta des del botó d'encesa, pq no responia. I un cop iniciat retornada el programa vaig tractar de reiniciar aquest cop des de l'escriptori i també es titlla ... pel que novament ho he de fer des del botó de la notebook. En cap moment puc reiniciar o apagar des de l'escriptori, el tinc q fer si o si prement el botó.

    Espero em pugui ajudar a solucionar aquests problemes, gràcies pel seu temps, salutacions !.

    1.    Linux Post Install va dir

      Salutacions RubenMTL! No sabria dir-te amb exactitud. Alguna cosa va haver d'haver canviat relacionat amb la gestió d'energia (ACPI). 🙁

      1.    RubenMTL va dir

        No hi ha drama, gràcies igual per l'ajuda !. Salutacions !!